//
// FlightInfoViewController.h
// Project
//
// Created by Ziv on 15/11/10.
//
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
#import "FlightInfo.h"

@interface FlightInfoViewController : UITableViewController

@property (nonatomic, assign) BOOL readonly;
@property (nonatomic, assign) BOOL allowIfAdvisedWhileEditing;
@property (nonatomic, assign) BOOL allowIfNeededWhileEditing;
@property (nonatomic, strong) NSArray *arrivalAirportOptions;
@property (nonatomic, strong) NSArray *returnAirportOptions;
@property (nonatomic, strong) NSArray *notNeedFlightOptions;
@property (nonatomic, strong) NSString *airportPickUpTip;

- (instancetype)initWithFlightInfo:(FlightInfo *)flightInfo;

- (void)setShouldDoneBlock:(BOOL (^) (FlightInfo *flightInfo))block;
- (void)setDidDoneBlock:(void (^) (FlightInfo *flightInfo))block;
- (void)setDidCancelBlock:(void (^) (void))block;

@end
